# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /Users/ec2-user/aggregate/panel-feedstock/recipe, last modified Wed Mar  8 22:29:31 2023
# ------------------------------------------------

package:
  name: panel
  version: 0.14.2
source:
  sha256: c22690833dfa508d72ae632e2d42ea7d63ee2a31347e23b7ecf8dcded312ec74
  url: https://pypi.io/packages/source/p/panel/panel-0.14.2.tar.gz
build:
  entry_points:
    - panel = panel.command:main
  number: '0'
  script:
    - /Users/ec2-user/ci_py311/panel_1678382055213/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
      -m pip install . -vv
  string: py311hecd8cb5_0
requirements:
  host:
    - blas 1.0 mkl
    - bleach 4.1.0 pyhd3eb1b0_0
    - bokeh 2.4.3 py311hecd8cb5_0
    - brotlipy 0.7.0 py311h6c40b1e_1002
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2023.01.10 hecd8cb5_0
    - certifi 2022.12.7 py311hecd8cb5_0
    - cffi 1.15.1 py311h6c40b1e_3
    - charset-normalizer 2.0.4 pyhd3eb1b0_0
    - cryptography 38.0.4 py311hf6deb26_0
    - flit-core 3.6.0 pyhd3eb1b0_0
    - freetype 2.12.1 hd8bbffd_0
    - giflib 5.2.1 h6c40b1e_3
    - icu 68.1 h23ab428_0
    - idna 3.4 py311hecd8cb5_0
    - intel-openmp 2021.4.0 hecd8cb5_3538
    - jinja2 3.1.2 py311hecd8cb5_0
    - jpeg 9e h6c40b1e_1
    - lcms2 2.12 hf1fd2bf_0
    - lerc 3.0 he9d5cce_0
    - libcxx 14.0.6 h9765a3e_0
    - libdeflate 1.17 hb664fd8_0
    - libffi 3.4.2 hecd8cb5_6
    - libpng 1.6.39 h6c40b1e_0
    - libtiff 4.5.0 hcec6c5f_2
    - libuv 1.40.0 haf1e3a3_0
    - libwebp 1.2.4 hf6ce154_1
    - libwebp-base 1.2.4 h6c40b1e_1
    - lz4-c 1.9.4 hcec6c5f_0
    - markupsafe 2.1.1 py311h6c40b1e_0
    - mkl 2021.4.0 hecd8cb5_637
    - mkl-service 2.4.0 py311h6c40b1e_0
    - mkl_fft 1.3.1 py311hbc8bb1e_0
    - mkl_random 1.2.2 py311hc5848a5_0
    - ncurses 6.4 hcec6c5f_0
    - nodejs 16.13.1 h470481b_0
    - numpy 1.23.5 py311h72c71eb_0
    - numpy-base 1.23.5 py311h0e1ec55_0
    - openssl 1.1.1t hca72f7f_0
    - packaging 22.0 py311hecd8cb5_0
    - param 1.12.3 py311hecd8cb5_0
    - pillow 9.3.0 py311hcec6c5f_2
    - pip 22.3.1 py311hecd8cb5_0
    - pycparser 2.21 pyhd3eb1b0_0
    - pyct 0.5.0 py311hecd8cb5_0
    - pyopenssl 22.0.0 pyhd3eb1b0_0
    - pysocks 1.7.1 py311hecd8cb5_0
    - python 3.11.0 h1fd4e5f_2
    - pyviz_comms 2.0.2 pyhd3eb1b0_0
    - pyyaml 6.0 py311h6c40b1e_1
    - readline 8.2 hca72f7f_0
    - requests 2.28.1 py311hecd8cb5_0
    - setuptools 65.5.0 py311hecd8cb5_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.40.1 h880c91c_0
    - tk 8.6.12 h5d9f67b_0
    - tornado 6.2 py311h6c40b1e_0
    - tqdm 4.64.0 py311hecd8cb5_0
    - typing_extensions 4.4.0 py311hecd8cb5_0
    - tzdata 2022g h04d1e81_0
    - urllib3 1.26.12 py311hecd8cb5_0
    - webencodings 0.5.1 py311hecd8cb5_1
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.10 h6c40b1e_1
    - yaml 0.2.5 haf1e3a3_0
    - zlib 1.2.13 h4dc903c_0
    - zstd 1.5.2 hcb37349_0
  run:
    - bleach
    - bokeh >=2.4.0,<2.5.0
    - markdown
    - param >=1.12.0
    - pyct >=0.4.4
    - python >=3.11,<3.12.0a0
    - pyviz_comms >=0.7.4
    - requests
    - setuptools >=42
    - tqdm >=4.48.0
    - typing_extensions
test:
  commands:
    - pip check
    - panel --help
  imports:
    - panel
    - panel.io
  requires:
    - pip
about:
  description: 'Panel provides tools for easily composing widgets, plots, tables,
    and other

    viewable objects and controls into control panels, apps, and dashboards.

    '
  dev_url: https://github.com/holoviz/panel
  doc_url: https://panel.holoviz.org/
  home: https://panel.holoviz.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: A high-level app and dashboarding solution for Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - ocefpaf
    - philippjfr
  skip-lints:
    - uses_setuptools
